Subject: Re: Linux 2.6.35-rc4 - CONFIG_LOCALVERSION ignored?

From: Stephen Rothwell <[email-masked]>
Date: Wed, 7 Jul 2010 11:32:08 +1000

Hi Michal,

On Tue, 6 Jul 2010 20:29:34 +0200 "Rafael J. Wysocki" <[email-masked]> wrote:
>
> On Monday, July 05, 2010, Michal Marek wrote:
> > On Mon, Jul 05, 2010 at 11:25:56PM +0200, Rafael J. Wysocki wrote:
> > > Hmm.  Am I dong anything particularly wrong, or is CONFIG_LOCALVERSION ignored
> > > now, as it seems?
> > 
> > (also reported by Stephen earlier that day)
> > 
> > On Mon, Jul 05, 2010 at 10:39:41AM +1000, Stephen Rothwell wrote:
> > > After merging the libata tree, today's linux-next build produced this
> > > warning (but it should be a failure ...):
> > > 
> > > /bin/sh: scripts/setlocalversion: No such file or directory
> > > 
> > > Probably introduced by commit 0a564b2645c8766a669c55bde1f1ef5b0518caec
> > > ("kbuild: Propagate LOCALVERSION= down to scripts/setlocalversion").
> > > 
> > > That commit really isn't ready for inclusion in Linus' tree ...
> > 
> > 
> > Oops, I'm an idiot. The below patch should fix localversion again:
> 
> Yes, it helps here.

I also applied it to linux-next yesterday (in my fixes tree) and it
solves the problem.

-- 
Cheers,
Stephen Rothwell                    [email-masked]
http://www.canb.auug.org.au/~sfr/